Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
serial::SerialPort::ModemEvent Struct Reference

Event emitted when the modem connection state changes. More...

Inheritance diagram for serial::SerialPort::ModemEvent:

## Public Attributes
Object | modem
| Either a `AnalogModem` or a `GsmModem`.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event emitted when the modem connection state changes.

Definition at line 86 of file SerialPort.idl.

## Member Data Documentation

## ◆ modem

Object serial::SerialPort::ModemEvent::modem

Either a `AnalogModem` or a `GsmModem`.

Definition at line 87 of file SerialPort.idl.

The documentation for this struct was generated from the following file:

- SerialPort.idl